import request from '@/utils/request';
import { parseStrEmpty } from "@/utils/ruoyi";

// 推送分页列表
export function pageList(query) {
  return request({
    url: '/sysPush/pageList',
    method: 'get',
    params: query
  });
}

// 添加推送人
export function sysPush(data) {
  return request({
    url: '/sysPush',
    method: 'post',
    data: data
  });
}

// 修改推送状态
export function updateStatus(data) {
  return request({
    url: '/sysPush/updateStatus',
    method: 'put',
    data: data
  });
}
// 删除推送人
export function sysPushDel(id) {
  return request({
    url: '/sysPush/' + id,
    method: 'delete'
  });
}
